/*  Kodut88 nr. 3 aines "Programmeerimine II", TTY     *
 *  Autor: *************                                     *
                          */ 

#include <stdlib.h>	// exit() jaoks
#include <mysql.h>	// mysql funktsioonide jaoks
#include <stdio.h>

int main(void) {
   FILE *fp;
   MYSQL *conn;
   MYSQL_RES *res;
   MYSQL_ROW row;
   char *server = "90.191.132.37"; // Serveri aadress
   char *user = "ewis";		   // AB kasutajanimi
   char *password = "A11ik45"; 	   // AB kasutaja parool
   char *database = "ewis";	   // AB nimi
   char *filename = "111885.txt";  // P2ringu tulemuste salvestamiseks

   conn = mysql_init(NULL);	// MySQL initseerimine
   int num_fields;
   int i;

   /* Andmebaasiga yhendamine */
   if (!mysql_real_connect(conn, server,
         user, password, database, 0, NULL, 0)) {
	// .. ei 6nnestunud yhendada andmebaasiga
      fprintf(stderr, "%s\n", mysql_error(conn));
      exit(1);
   }
   else printf("Yhendatud andmebaasi serveriga %s..\n\n",server);
   /* Avame faili kirjutamiseks */
   fp=fopen(filename,"w");
   if (fp==NULL) {
     fprintf(stderr,"Faili avamine eba6nnestus\n");
     exit(1);
   }
   /* Teeme p2ringu AB-st ja salvestame tulemused faili */
   if (mysql_query(conn, "SELECT * FROM joe_andmed INNER JOIN seire_jogi_hydrol_jaamad USING (id_jogi) WHERE id_AVK='EE2SU5' GROUP BY pikkus_km ASC")) {
      fprintf(stderr, "%s\n", mysql_error(conn));
      exit(1);
   }
   res = mysql_store_result(conn);	// P2ringu tulemus viitmuutujale res
   num_fields = mysql_num_fields(res);	// Veergude arvu leidmine

   printf("Andmebaasi p2ringu tulemuste lyhiylevaade: \n\n");
   printf("            J6gi     Pikkus  Hydroloogiajaam\n");   
   while ((row = mysql_fetch_row(res)))
   {
      for(i = 0; i < num_fields; i++)
      {
          switch (i) {
            case 6:
	      printf("%16s ",row[i]);	// J6e nime v2ljastamine ekraanile
	      break;
	    case 11:
	      printf("%10s ",row[i]);	// J6e pikkuse v2ljastamine ekraanile
	      break;
	    case 26:
	      printf("%16s ",row[i]);	// Hydroloogiajaama nime v2ljastamine
   					// ekraanile
	      break;
	    }
          fprintf(fp,"%s ", row[i] ? row[i] : "NULL");
      }
      printf("\n");
      fprintf(fp,"\n");		// Reavahetus p2rast kirje l6ppu
   }
   /* Vabastame m2lu ja sulgeme yhenduse AB-ga */
   mysql_free_result(res);
   mysql_close(conn);
   /* Faili sulgemine */
   fclose(fp);
   printf("P2ringu tulemused v2ljastatud faili %s\n",filename);
   return 0;
}

